Get collection details
curl --request GET \
--url https://api.portkey.ai/v1/collections/{collectionId} \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/collections/{collectionId}"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"parent_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_default": true,
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"child_collections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z",
"collection_details": {
"child_collections_count": 123,
"prompts_count": 123,
"child_collections_last_updated_at": "2023-11-07T05:31:56Z",
"prompts_last_updated_at": "2023-11-07T05:31:56Z"
}
}
]
}Retrieve Prompt Collection
Retrieves details of a specific collection
GET
/
collections
/
{collectionId}
Get collection details
Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Authorizations
Path Parameters
ID or slug of the collection
Response
Collection details
Last modified on September 18, 2026
Was this page helpful?

